<?php
/**
 * Overrides default Customizer panels, sections, settings, and controls.
 * 
 * Customizes and enhances the WordPress Customizer by modifying or adding new options.
 *
 * @package Yaatra
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$wp_customize->get_section( 'title_tagline' )->priority         = 10;
$wp_customize->get_section( 'title_tagline' )->panel            = 'yaatra_panel_header';

$wp_customize->get_setting( 'blogname' )->transport             = 'postMessage';
$wp_customize->get_setting( 'blogdescription' )->transport      = 'postMessage';
$wp_customize->get_setting( 'header_textcolor' )->transport     = 'postMessage';

$wp_customize->get_control( 'header_textcolor' )->section       = 'title_tagline';
$wp_customize->get_control( 'header_textcolor' )->priority      = 20;

$wp_customize->get_section( 'header_image' )->priority          = 15;
$wp_customize->get_section( 'header_image' )->panel             = 'yaatra_panel_header';
$wp_customize->get_section( 'header_image' )->title             = __( 'Innerpages Header Image', 'yaatra' );

$wp_customize->get_section( 'colors' )->panel                   = 'yaatra_panel_general';
$wp_customize->get_section( 'colors' )->priority                = '60';

$wp_customize->get_control( 'background_color' )->section       = 'background_image';
$wp_customize->get_control( 'background_color' )->priority      = 5;

$wp_customize->get_section( 'background_image' )->panel         = 'yaatra_panel_general';
$wp_customize->get_section( 'background_image' )->title         = __( 'Background', 'yaatra' );
$wp_customize->get_section( 'background_image' )->priority      = 65;

$wp_customize->get_section( 'header_image' )->panel             = 'yaatra_panel_header';
$wp_customize->get_section( 'header_image' )->title             = __( 'Innerpages Header Image', 'yaatra' );
$wp_customize->get_section( 'header_image' )->priority          = '20';